# =========================================================================
# $Id: msg.tcl,v 1.1.2.8 2007/05/24 14:28:22 belinfan Exp $
# =========================================================================

proc infoMsg {args} {
	puts "A_DEBUG [join $args { }]"
}

proc debugMsg {args} {
	global debug
	if {$debug} {
		puts "A_DEBUG [join $args { }]"
	}
}

proc warningMsg {args} {
	puts "A_WARNING [join $args { }]"
}

proc fatal {args} {
	# flush expect_background stderr buffer
	set timeout 0
	expect
	
	puts "A_ERROR [join $args { }]"
	puts stderr [join $args { }]
	
	exit 1
}
