#! /bin/sh
# $Id: utsmile.sh,v 1.1.2.1 2001/03/02 12:38:23 belinfan Exp $

LITEDIR=/home/lite/LITE
LITEARCH=SVR4
smile=$LITEDIR/$LITEARCH/bin/tksmile

libdir=@smiledir@
tclfile=$libdir/mainsmile.tcl

program=`basename $0`
USAGE="usage: $program [ -i input1,g2,... ] [ -o output1,g2,... ] [ -s seed ] [ -d Delta ] [-t input,output ] [ -f configfile ] crfile"

unset INGATES
unset OUTGATES
unset SEED
unset DELTA
unset CONFIGFILE
unset SUSPENSION

set -- `getopt i:o:s:d:f:t: $*`
if [ $? != 0 ]; then
	echo $USAGE 1>&2
	exit 2
fi

for i in $*
do
	case $i in
		-i)  INGATES=$2;       shift 2;;
		-o)  OUTGATES=$2;      shift 2;;
		-s)  SEED=$2;          shift 2;;
		-d)  DELTA=$2;         shift 2;;
		-f)  CONFIGFILE=$2;    shift 2;;
		-t)  SUSPENSION=$2;    shift 2;;
		--)                    shift; break;;
	esac
done

case $# in
	1) crfile=$1;  shift;;
	*) ;;
esac

missing_parameters=0
if [ "X$crfile" = X ]; then
	missing_parameters=1
fi
if [ "X$INGATES" = X ]; then
	: missing_parameters=1
	INGATES=""
fi
if [ "X$OUTGATES" = X ]; then
	: missing_parameters=1
	OUTGATES=""
fi
if [ "X$SEED" = X ]; then
	SEED=0
fi
if [ "X$DELTA" = X ]; then
	DELTA=Delta
fi
if [ "X$SUSPENSION" = X ]; then
	SUSPENSION=""
fi
if [ $missing_parameters = 1 ]; then
	echo $USAGE 1>&2
	exit 2
fi

export INGATES
export OUTGATES
export SEED
export DELTA
export CONFIGFILE
export SUSPENSION
export LITEDIR
export LITEARCH

batch=0
if [ $batch = 1 ]; then
	$smile  -batch -tcl $tclfile $crfile
else
	$smile -tcl $tclfile $crfile
fi
