# =========================================================================
# $Id: fields.tcl,v 1.1.2.3 2000/11/08 11:05:44 belinfan Exp $
# =========================================================================

# routines copied from Driver main_util.tcl
proc fields_split {s {sep "\t"}} {
	return [split [string trim $s] $sep]
}

proc field_value {items name {array 0}} {
	if {$array} {
		return [field_value_array $items $name]
	} else {
		return [field_value_item $items $name]
	}
}

proc field_value_item {items name} {
	foreach i $items {
		if {[regexp "^$name=(.*)" $i all value]} {
			return $value
		}
	}
	return ""
}

proc field_value_array {items name} {
	set res {}
	foreach i $items {
		if {[regexp "^$name=(.*)" $i all value]} {
			lappend res $value
		}
	}
	return $res
}

