#
# smile.pm - mkprimer module for the Smile LOTOS primer
# will be ``required'' by the mkprimer program
#
# $Id: smile.pm,v 1.1.2.1 2000/08/15 13:25:17 belinfan Exp $
# <Axel.Belinfante@cs.utwente.nl>, 2000
#
#
# ======================================
package smile;

%suffix = (
			".cr"   =>   "CR",
	     );

%lang = (
	"CR" =>
	 sub  {
		my($specfile, $target, $prefix, $libdir,
		   $specpath, $specname, $specsuffix) = @_;
		my($error, $cmd);
		my(@cmds) = (
			"mksmileprimer $specfile",
			"mv smileprimer $target",
		          );
		::Exec(@cmds);
	},
);

::Register(\%lang, \%suffix);

1;
