# =========================================================================
# $Id: callbacks.tcl,v 1.1.2.65 2008/07/10 23:58:18 belinfan Exp $
# =========================================================================

#
# CALLBACKS
#
proc do_initGui {args} {
	global tester
	global debug
	global tcl_traceExec
	
	# set debug(Msg,wcSetCondSensitivityForWidget) 1
	# set debug(FnArgs,wcSetCondSensitivityForWidget) 1
	# set debug(FnArgs,wcExecCB) 1
	# set debug(Msg,wcExecCB) 1
	# set debug(Msg,wcDoSetCursor) 1
	# set debug(Msg,wcDoResetCursor) 1
	# set debug(FnArgs,wcDoSetCursor) 1
	# set debug(FnArgs,wcDoResetCursor) 1
	# set tcl_traceExec 2
	
	set tester(list,inputs) [WcFullNameToWidget . "*menu_left*readListbox"]
	set tester(list,outputs) [WcFullNameToWidget . "*menu_right*readListbox"]
	set tester(button,selectedinput) [WcFullNameToWidget . "*menu_but_selected_input"]
	set tester(button,input) [WcFullNameToWidget . "*menu_but_input"]
	set tester(button,random) [WcFullNameToWidget . "*menu_but_random"]
	set tester(button,output) [WcFullNameToWidget . "*menu_but_output"]
	set tester(button,quit) [WcFullNameToWidget . "*quit_button"]
	set tester(button,start) [WcFullNameToWidget . "*start_button"]
	set tester(button,stop) [WcFullNameToWidget . "*stop_button"]
	set tester(button,open,config) [WcFullNameToWidget . "*open_config_button"]
	set tester(button,open,trace) [WcFullNameToWidget . "*open_trace_button"]
	set tester(button,open,log) [WcFullNameToWidget . "*open_log_button"]
	set tester(text,path) [WcFullNameToWidget . "*path_object*readText"]
	# set tester(text,update) [WcFullNameToWidget . "*update_object*readText"]
	set tester(text,update) $tester(text,path)
	set tester(text,msg) [WcFullNameToWidget . "*msg_object*readText"]
	set tester(entry,autodepth) [WcFullNameToWidget . "*depth_entry"]
	set tester(entry,seed) [WcFullNameToWidget . "*seed_entry"]
	set tester(label,seed) [WcFullNameToWidget . "*seed_label"]
	# set tester(entry,config_file) [WcFullNameToWidget . "*config_entry"]
## GET RID OF error_line
##	set tester(label,error) [WcFullNameToWidget . "*error_line"]
	set tester(label,verdict) [WcFullNameToWidget . "*verdict_line"]
	set tester(label,trace) [WcFullNameToWidget . "*trace_line"]
	set tester(entry,inst) [WcFullNameToWidget . "*inst_line"]
	set tester(label,menu) [WcFullNameToWidget . "*menu_label"]
	set tester(toggle,auto) [WcFullNameToWidget . "*auto_toggle"]
	set tester(toggle,autotrace) [WcFullNameToWidget . "*autotrace_toggle"]
	set tester(toggle,manual) [WcFullNameToWidget . "*manual_toggle"]
	set tester(toggle,opaquepaneresize) [WcFullNameToWidget . "*opaquepaneresize_mb"]
	set tester(toggle,startmsc) [WcFullNameToWidget . "*startmsc_mb"]
	set tester(toggle,reusemsc) [WcFullNameToWidget . "*reusemsc_mb"]
	set tester(toggle,demomode) [WcFullNameToWidget . "*demomode_mb"]
	set tester(toggle,visibility_trace_frame) [WcFullNameToWidget . "*visibility_trace_frame_mb"]
	set tester(toggle,visibility_inst_frame) [WcFullNameToWidget . "*visibility_inst_frame_mb"]
	set tester(toggle,visibility_msg_buttons) [WcFullNameToWidget . "*visibility_msg_buttons_mb"]
	set tester(toggle,visibility_update_buttons) [WcFullNameToWidget . "*visibility_update_buttons_mb"]
	set tester(toggle,init_from_config) [WcFullNameToWidget . "*init_from_config_mb"]
	set tester(toggle,reset_from_config) [WcFullNameToWidget . "*reset_from_config_mb"]
	set tester(menu,bar) [WcFullNameToWidget . "*menubar"]
	set tester(menu,button,file) [WcFullNameToWidget . "*file_mb"]
	set tester(menu,file) [WcFullNameToWidget . "*file"]
	set tester(menu,button,help) [WcFullNameToWidget . "*help_mb"]
	set tester(menu,help) [WcFullNameToWidget . "*help"]
	set tester(menu,button,mutants) [WcFullNameToWidget . "*mutants_mb"]
	set tester(menu,mutants) [WcFullNameToWidget . "*mutants"]
	set tester(menu,button,primers) [WcFullNameToWidget . "*primers_mb"]
	set tester(menu,primers) [WcFullNameToWidget . "*primers"]
	set tester(menu,button,guides) [WcFullNameToWidget . "*guides_mb"]
	set tester(menu,guides) [WcFullNameToWidget . "*guides"]
	set tester(menu,entry,quit) [WcFullNameToWidget . "*quit_button"]

	set tester(menu,button,tools) [WcFullNameToWidget . "*tools_mb"]
	set tester(menu,tools) [WcFullNameToWidget . "*tools"]
	set tester(tools,nrof) 0
	set tester(menu,button,specs) [WcFullNameToWidget . "*specs_mb"]
	set tester(menu,specs) [WcFullNameToWidget . "*specs"]
	set tester(specs,nrof) 0

	set tester(open,initialdir) $tester(dirname)
	set tester(open,types,config) {
			{{Config Files}     {.if}         }
			{{Trace Files}      {.trace}      }
			{{Log Files}        {.log}        }
			{{Text Files}       {.txt}        }
			{{TCL Scripts}      {.tcl}        }
			{{All Files}        *             }
	}
	set tester(open,types,trace) {
			{{Trace Files}      {.trace}      }
			{{Log Files}        {.log}        }
			{{Config Files}     {.if}         }
			{{Text Files}       {.txt}        }
			{{TCL Scripts}      {.tcl}        }
			{{All Files}        *             }
	}
	set tester(savemsg,defextension) {.txt}
	set tester(savemsg,types) {
			{{Text Files}       {.txt}        }
			{{Config Files}     {.if}         }
			{{Trace Files}      {.trace}      }
			{{Log Files}        {.log}        }
			{{All Files}        *             }
	}
	set tester(savepath,defextension) {.txt}
	set tester(savepath,types) {
			{{Text Files}       {.txt}        }
			{{Config Files}     {.if}         }
			{{Trace Files}      {.trace}      }
			{{Log Files}        {.log}        }
			{{All Files}        *             }
	}
	set tester(savelog,defextension) {.log}
	set tester(savelog,types) {
			{{Log Files}        {.log}        }
			{{Text Files}       {.txt}        }
			{{Config Files}     {.if}         }
			{{Trace Files}      {.trace}      }
			{{All Files}        *             }
	}
	set tester(runs,all) 0
	
	set tester(initval,title,main) [wm title .]
	set tester(initval,label,verdict) [label_get $tester(label,verdict)]
	set tester(initval,label,trace) [label_get $tester(label,trace)]
	set tester(initval,label,menu) [label_get $tester(label,menu)]
	
	set tester(var,config_file) ""
	set tester(basename,config_file) ""
	set tester(basenamebare,config_file) ""
	set tester(basenamebare,trace_file) ""
	set tester(basenamebare,log_file) ""
	set tester(var,log_file) ""
	set tester(var,trace_file) ""

	set tester(run,active) 0
	set tester(run,ready) 0
	set tester(state,runnr) 0
	set tester(run,verdict) ""
	set tester(run,stepnr) 0
	set tester(var,seed) ""
	
	set tester(prompt) "tester> "     ;# set the prompt used by 'torx'
	# set tester(prompt) "tester>"     ;# set the prompt used by 'torx'
	
	set tester(count,busy) 0
	
	do_update_preferences      ;# initialise preferences
	
	messages_init
	
	setup_expect_handlers
	setup_signal_handlers

	bind $tester(text,update) <Button-3> "mouse_select_step %W %x %y"
	bind $tester(text,update) <B3-Motion> "mouse_select_step %W %x %y"

	bind $tester(text,msg) <Button-3> "mouse_select_step %W %x %y"
	bind $tester(text,msg) <B3-Motion> "mouse_select_step %W %x %y"

	set tester(option,aboutTitle) [wcGetResource .tester aboutTitle AboutTitle]
	# we use subst in the next line to interpret \n in the text
	set tester(option,aboutMessage) [subst [wcGetResource .tester aboutMessage AboutMessage]]

}

proc do_initConfigfile {args} {
	global tester
	global debug
	global maininfo
	if {[string compare $maininfo(configfile) ""] != 0} {
		do_do_open_config [file_mk_absolute $maininfo(configfile) $tester(dirname)]
	}
}

proc do_about {args} {
	global tester
	# puts stderr "do_about ($tester(option,aboutTitle))($tester(option,aboutMessage))"
	tk_messageBox \
		-title $tester(option,aboutTitle) \
		-message $tester(option,aboutMessage)
}

# This do_cleanupGui will be called before we exit, to clean things up
proc do_cleanupGui {args} {
	global tester
	global debug
	global tcl_traceExec
}	

proc setup_signal_handlers {} {
	# for the moment, we don't do this!
	return
	
	trap {
		if {[catch {wait -i -1} output]} {
			Debug_Msg setup_signal_handlers "wait error: $output"
		} else {
			Debug_Msg setup_signal_handlers "caught SIGCHLD: $output"
		}
	} SIGCHLD
}

proc putsflush {fd line} {
	puts $fd $line
	flush $fd
}
 
proc setup_expect_handlers {} {
	global maininfo
	set maininfo(pfx,out) GUIOUT:
	set maininfo(proc,out) process_out
	set maininfo(pfx,err) GUIERR:
	set maininfo(proc,err) process_err
}

proc Reader { pipe } {
	global tester
	# Debug_Msg Reader "pids: [pid $pipe]"
	if {[eof $pipe]} {
		Debug_Msg Reader "eof detected start of block"
		set tester(proc,out,seen,prompt) 1 ;# allow hanging proc to finish
		catch {close $pipe}
		Debug_Msg Reader "eof detected before handler"
		handle_tester_eof ""
		Debug_Msg Reader "eof detected after handler"
		return
	}
	if {[gets $pipe line] < 0} {
		# blocked anyway because no full line available
		Debug_Msg Reader "Reader blocked"
	} else {
		fileevent $pipe readable {}
		do_process $line
		fileevent $pipe readable [list Reader $pipe]
	}
}

proc do_process { line } {
	global maininfo
	foreach name [list out err] {
		if {[try_process $line $maininfo(pfx,$name) $maininfo(proc,$name)]} {
			return
		}
	}
	puts stderr "no-one available to process: $line"		
}

proc try_process { line pat routine } {
	global maininfo
	if {[regsub "^$pat" $line "" line] == 1} {
		$routine $line
		return 1
	} else {
		return 0
	}
}

proc process_err { line } {
	global tester
#	puts stderr "process_err $line"
	if {[regexp "^(Verdict:\[ \t]*(\[0-9\]+)\[ \t]*(pass\[ \t]*(hit)?)\[ \t]*)\r*\$" $line match msg nr vdct ]} {
		messages_append "$msg\n"
		label_set $tester(label,verdict) " Verdict: $vdct $nr"
		$tester(label,verdict) configure -bg green
		set tester(run,verdict) "$vdct $nr"
		update_title
		update idletasks
#		if [catch {fileevent $tester(fid) readable {}} msg] {
#			puts stderr "process_err: fileevent msg: $msg"
#		}
#		if [catch {close $tester(fid)} msg] {
#			puts stderr "process_err: close msg: $msg"
#		}
	} elseif {[regexp "^(Verdict:\[ \t]*(\[0-9\]+)\[ \t]*(pass\[ \t]*miss)\[ \t]*)\r*\$" $line match msg nr vdct ]} {
		messages_append "$msg\n"
		label_set $tester(label,verdict) " Verdict: $vdct $nr"
		;# better than orange or DarkOrange
		# $tester(label,verdict) configure -fg coral
		$tester(label,verdict) configure -bg orange
		set tester(run,verdict) "$vdct $nr"
		update_title
		update idletasks
#		if [catch {fileevent $tester(fid) readable {}} msg] {
#			puts stderr "process_err: fileevent msg: $msg"
#		}
#		if [catch {close $tester(fid)} msg] {
#			puts stderr "process_err: close msg: $msg"
#		}
	} elseif {[regexp "^(Found tmcs mcastid: (tcp!\[^!\]*!\[0-9]*)\[^\r\n]*)\r*\$"  $line match msg mcast]} {
		messages_append "$msg\n"
		messages_append "xtorx: process_err found mcast $mcast\n"
		handle_mcast [connect_mcast $mcast]
	} elseif {[regexp "^(\[^\r\n]*)\r*\$" $line match msg ]} {
		messages_append "$msg\n"
	} else {
		puts stderr "internal error: process_err cannot handle: $line"
	}
}

proc process_out { line } {
	global tester
	if {[regexp "^$tester(prompt)\r*\$" $line match ]} {
		set tester(proc,out,seen,prompt) 1
	} elseif {[info exists tester(proc,out,cur)] &&
	    ([string compare $tester(proc,out,cur) ""] != 0)} {
	    $tester(proc,out,cur) $line
	} else {
		puts stderr "internal error: process_out cannot handle: $line"
	}
}

proc process_cmd { cmd hdlr {varName ""}} {
	global tester
	set_out_handler $hdlr
	if {[string compare $cmd ""] != 0} {
		putsflush $tester(fid) $cmd
	}
	if {[string compare $varName ""] == 0} {
		vwait tester(proc,out,seen,prompt)
	} elseif {[info exists $varName]} {
		vwait $varName
	} else {
		puts stderr "internal error: attempting to vwait for unknown variable:  $varName"
	}
	set tester(proc,out,seen,prompt) 0
	reset_out_handler $hdlr
}

proc set_out_handler { hdlr } {
	global tester
	if {[info exists tester(proc,out,cur)] &&
	     ([string compare $tester(proc,out,cur) ""] != 0)} {
		catch {puts stderr "set_out_handler: handler already set to $tester(proc,out,cur) while setting to: $hdlr"}
	}
	set tester(proc,out,cur) $hdlr
}

proc reset_out_handler { hdlr } {
	global tester
	if {![info exists tester(proc,out,cur)]} {
		catch {puts stderr "reset_out_handler: handler not set"}
	} elseif {[string compare $tester(proc,out,cur)  $hdlr] != 0} {
		catch {puts stderr "reset_out_handler: handler not set to $hdlr but to: $tester(proc,out,cur)"}
	}
	catch {unset tester(proc,out,cur)}
}

proc get_out_handler {} {
	global tester
	if {![info exists tester(proc,out,cur)] ||
	     ([string compare $tester(proc,out,cur) ""] == 0)} {
		catch {puts stderr "get_out_handler: handler not set"}
	}
	return $tester(proc,out,cur)
}

proc push_out_handler { cmd handler varName } {
	set handler [get_out_handler]
	reset_out_handler $handler
	process_cmd $cmd $handler $varName
	return $handler
}

proc process_out_initialisation { line } {
	global tester
	if {[regexp "^(Trace: \[^\r\n]*)\r*\$" $line match msg ]} {
		set tester(var,trace) $msg
		label_set $tester(label,trace) $tester(var,trace)
	} elseif {[regexp "^(\[^\r\n]*)\r*\$" $line match msg ]} {
		messages_append "$msg\n"
	} else {
		puts stderr "internal error: process_out_initialisation cannot handle: $line"
	}
}

proc connect_mcast { mcast } {
	set cfid {}
	set fields [split $mcast "!"]
	if {([llength $fields] == 3) &&
		([string compare [lindex $fields 0] tcp] == 0)} {
		set host [lindex $fields 1]
		set port [lindex $fields 2]
		# HACK needed for (only?) cygwin
		if {[string compare $host 0.0.0.0] == 0} {
			set host 127.0.0.1
		}
		if {[catch {socket $host $port} foo]} {
			puts stderr "warning: cannot connect to mcast $mcast: $foo\n"
		} else {
			set cfid $foo
		}
	}
	return $cfid
}

proc handle { chan info hproc args } {
	fileevent $chan readable {}
	set read [gets $chan line]
	# puts stderr "handle $info $hproc read: $read"
	if {$read < 0} {
		if {[eof $chan]} {
			puts stderr "Connection closed by client $info."
			mcastcleanup $chan
		} elseif {[blocked $chan]} {
			# warn "handle $info $hproc blocked: $line"
			fileevent $chan readable \
				[list handle $chan $info $hproc $args ]
		} else {
			warn "handle $info error?: $line"
			mcastcleanup $chan
		}
	} else {
		# puts stderr "handle $info: $line"
		$hproc $line $args
		fileevent $chan readable \
			[list handle $chan $info $hproc $args]
	}

}

proc handle_mcast {cfid} {
	global tester
	if {[info exists tester(cfid)] &&  [string compare $tester(cfid) ""] != 0} {
		catch {close $tester(cfid)}
	}
	set tester(cfid) $cfid
	if {[string compare $cfid ""] != 0} {
		fileevent $cfid readable [list handle $cfid "<mcast>" mcastinterp ]
	}
}

proc isinteger { s } {
	# ideal implementation: return [string is integer  -strict $s]
	# but that does not work in older wish versions
	if {[regexp "^\[-+\]?\[0-9\]\[0-9\]*$" $s]} {
		return 1
	} else {
		return 0
	}
}
proc mcastinterp { line args } {
	global tester
	if {[isinteger  [lindex $line 0]]} {
		path_show [lindex $line 0]
		messages_show [lindex $line 0]
	}
}

proc mcastcleanup { chan } {
	global tester

	if {[string compare $tester(cfid) $chan] == 0} {
		set tester(cfid) ""
	}
}

proc path_show {nr} {
	global tester
	if {![info exists tester(text,path,backlight)]} {
		set tester(text,path,backlight) ""
	}
	if {[string compare $tester(text,path,backlight) step$nr] != 0} {
		text_unbacklight $tester(text,path) $tester(text,path,backlight)
		set tester(text,path,backlight) step$nr
		text_backlight $tester(text,path) $tester(text,path,backlight)
	}
	text_seebacklight $tester(text,path) $tester(text,path,backlight)
}

proc mcastsend {nr} {
	global tester
	if {[string compare $tester(cfid) ""] == 0} {
		return
	}
	if {[catch {puts $tester(cfid) $nr ; flush $tester(cfid)} msg]} {
		puts stderr "mcastsend $nr error: $msg"
	}
}

proc do_startTester {args} {
	global tester maininfo runinfo
	
#	exp_internal 1
#	strace 100
	# first, get rid of all after commands that we may have set
	check_tester_eof do_startTester
	
	set tester(run,ready) 0
	set tester(run,active) 1
	catch {unset tester(killing)}
	
	WcSetCursor
	foreach aw [list $tester(entry,autodepth) \
		                 $tester(toggle,auto)  \
		                 $tester(toggle,autotrace)  \
		                 $tester(toggle,manual) \
		                 $tester(button,quit) \
		                 $tester(button,start) \
		                 $tester(button,stop) \
		                 $tester(menu,bar) \
		                 $tester(menu,button,file) \
		                 $tester(menu,file) \
		                 $tester(menu,button,help) \
		                 $tester(menu,help) \
		                 $tester(menu,button,mutants) \
		                 $tester(menu,mutants) \
		                 $tester(menu,button,primers) \
		                 $tester(menu,primers) \
		                 $tester(menu,button,guides) \
		                 $tester(menu,guides) \
		                 $tester(menu,button,tools) \
		                 $tester(menu,tools) \
		                 $tester(menu,button,specs) \
		                 $tester(menu,specs) \
		                 $tester(button,open,config) \
		                 $tester(button,open,trace) \
		                 $tester(button,open,log) \
		                 $tester(entry,seed) \
		                 $tester(label,seed)] {
		wcDoResetCursor $aw keep
	}
	update

	set tester(var,trace) ""
	set tester(run,verdict) ""
	set tester(run,stepnr) 0
	set tester(var,seed) [entry_get $tester(entry,seed)]
	if {[string compare $tester(var,seed) ""] == 0} {
		## we generate a seed ourselves, and show it!
		set tester(var,seed) [expr int(srand([clock clicks]) *1000 * rand())]
		entry_set $tester(entry,seed) $tester(var,seed)
	}
	entry_set $tester(entry,inst) ""

	incr tester(state,runnr)

	messages_run_setup $tester(state,runnr)
	
	## IMPORTANT: we should NOT invoke update_title between resetting
	## tester(run,verdict) and tester(tag,outline,current)
	## because, if we do, we will remove the verdict in the message pane!
	update_title
	
	messages_run_begin

	# see which config file we have to use, from which directory
	if {[string compare $tester(var,config_file) ""] != 0} {
		# set tester(var,config_file) [entry_get $tester(entry,config_file)]
		set tester(basename,config_file) [file tail $tester(var,config_file)]
		set tester(basenamebare,config_file) [file rootname $tester(basename,config_file)]
		if {[string compare [file pathtype $tester(var,config_file)] absolute] == 0} {
			set tester(newdirname) [file dirname $tester(var,config_file)]
		} else {
			set tester(newdirname) [file dirname [file join $tester(dirname) $tester(var,config_file)]]
		}
	} else {
		set tester(newdirname) .
	}
	
	# now that we have a (potentially not existing) file and
	# (potentially not exiting) directory name, try to 'cd' to it
	# if this fails, we use the last file name that was given
	# (eg. in the 'open' dialog) - this may be different from the current
	# working directory!
	if {[catch {cd $tester(newdirname)} foo]} {
		Message "cannot change directory to $tester(newdirname): $foo"
		catch {unset tester(fid)}
		catch {unset tester(fid,wait)}
		testing_stop
	} else {
		set tester(dirname) [pwd]
		set tester(open,initialdir) $tester(dirname)
		# entry_set $tester(entry,config_file) $tester(basename,config_file)

		# start the 'real' tester: default command string
		# we now use just the name (tester(tname)) instead of the
		# complete path (tester(tester)), because using just the
		# name (and letting the shell find it in PATH) works better
		# when using cygwin
		# set commandprefix "stty -echo; "
		# set commandstring "$tester(tester) --gui"
		set commandstring "$tester(tname) --gui"

		# pass on the trace file name, if given
		if {[info exists tester(var,trace_file)]} {
			if {![string compare $tester(var,trace_file) ""] == 0} {
				append commandstring " --trace $tester(var,trace_file)"
			} else {
				append commandstring " --no-trace"
			}
		} else {
			append commandstring " --no-trace"
		}
		
		# pass on the log file name, if given
		if {[info exists tester(var,log_file)]} {
			if {![string compare $tester(var,log_file) ""] == 0} {
				append commandstring " --log '$tester(var,log_file)'"
			} else {
				append commandstring " --no-log"
			}
		} else {
			append commandstring " --no-log"
		}
		
		# pass on the seed, if given
		if {![string compare $tester(var,seed) ""] == 0} {
			append commandstring " --seed $tester(var,seed)"
		} else {
			### XXX is this really what we want????
			append commandstring " --no-seed"
		}
		
		# pass on the primer flags, if given
		if {[info exists tester(torx,cmdline,primers,flags)]} {
			if {![string compare $tester(torx,cmdline,primers,flags) ""] == 0} {
				append commandstring " $tester(torx,cmdline,primers,flags)"
			}
		}
		
		# pass on the guide flags, if given
		if {[info exists tester(torx,cmdline,guides,flags)]} {
			if {![string compare $tester(torx,cmdline,guides,flags) ""] == 0} {
				append commandstring " $tester(torx,cmdline,guides,flags)"
			}
		}
		
		# pass on the mutant flags, if given
		if {[info exists tester(torx,cmdline,mutants,flags)]} {
			if {![string compare $tester(torx,cmdline,mutants,flags) ""] == 0} {
				append commandstring " $tester(torx,cmdline,mutants,flags)"
			}
		}
		
		# do not directly start tools from config files
		append commandstring " --no-logmon"
		
		# only start the msc window if the user allows it.
		if { (![info exists tester(msc,startit)]) ||
			($tester(msc,startit)) } {
			append commandstring " --logmon \\\\\\\"xtorx-showmsc $tester(msc,flags)\\\\\\\""
		}
		
		set i 0
		while {$i < $tester(tools,nrof)} {
			if {$tester(tools,$i,start)} {
				append commandstring " --logmon \\\\\\\"$tester(tools,$i,command)\\\\\\\""
			}
			incr i
		}
		
		# about to start the 'real' tester:
		#  - complete command string
		append commandstring " $tester(basename,config_file)"
		
		#  - pass on the primer configuration arguments, if given
		if {[info exists tester(torx,cmdline,primers,config)]} {
			if {![string compare $tester(torx,cmdline,primers,config) ""] == 0} {
				append commandstring " $tester(torx,cmdline,primers,config)"
			}
		}
		
		#  - pass on the guide configuration arguments, if given
		if {[info exists tester(torx,cmdline,guides,config)]} {
			if {![string compare $tester(torx,cmdline,guides,config) ""] == 0} {
				append commandstring " $tester(torx,cmdline,guides,config)"
			}
		}
		
		#  - pass on the mutant configuration arguments, if given
		if {[info exists tester(torx,cmdline,mutants,config)]} {
			if {![string compare $tester(torx,cmdline,mutants,config) ""] == 0} {
				append commandstring " $tester(torx,cmdline,mutants,config)"
			}
		}
		
		#  - redirect the stderr output to the pty
		# append commandprefix "torx-stdiomerge $maininfo(pfx,out) $maininfo(pfx,err) $commandstring"
		# when using Cygwin it helps to let the shell search the programs
		append commandprefix "/bin/sh -c \"exec torx-stdiomerge $maininfo(pfx,out) $maininfo(pfx,err) $commandstring\""

		#  - put in the right context
		set command [list open  "|$commandprefix" r+ ]

		# Message "DEBUG: $command\n"

		# now we are ready to start the 'real' tester:
		if {$maininfo(debug) > 0} {
			Message "DEBUG: $command\n"
		}
		if {[catch $command fileId]} {
			Message "cannot start test program: $fileId"
			catch {unset tester(fid)}
			testing_stop
		} else {
			set tester(fid) $fileId
			# puts stderr "DEBUG: started test program: $fileId"
			# Message "started test program: $fileId"
			fconfigure  $fileId -buffering line -blocking 0
			fileevent $fileId readable [list Reader $fileId]
			
			process_cmd "" process_out_initialisation
			
			if {[info exists tester(fid)]} {
				# update variables that remember 'occurence' numbers that we use
				# to save the log messages
				incr tester(runs,all)
				
				testing_start
			}
		}
	}
	poll_tester_eof do_startTester
	WcResetCursor
}
proc do_do_killTester {args} {
	global tester
	Debug_FnArgs do_do_killTester $args
	if {[info exists tester(fid)]} {
#		putsflush $tester(fid) "stop"
		putsflush $tester(fid) "quit"
		Debug_Msg do_do_killTester "just before: set tester(killing) $tester(fid)"
		set tester(killing) $tester(fid)
		Debug_Msg do_do_killTester "just after: set tester(killing); value: $tester(killing)"
		Debug_Msg do_do_killTester "just before: update"
		update ;# try to catch all stderr output first
		update idletasks ;# try to catch all stderr output first
		Debug_Msg do_do_killTester "just after: update"
	}
	Debug_FnRes do_do_killTester
}
proc do_killTester {args} {
	global tester
	Debug_FnArgs do_killTester $args
	check_tester_eof do_killTester
	if {$tester(run,active)} {
		set tester(run,active) 0
		if {[catch {do_do_killTester $args} err]} {
			Error "Cannot send to tester: $err\n"
		}
		Debug_Msg do_killTester "just before: trace"
		trace variable tester(run,ready) w do_killTesterFinalize
		Debug_Msg do_killTester "just after: trace"
	}
	poll_tester_eof do_killTester
	Debug_FnRes do_killTester
}
proc do_killTesterFinalize {args} {
	global tester
	Debug_FnArgs do_killTesterFinalize $args
	trace vdelete tester(run,ready) w do_killTesterFinalize
#	do_clear_windows
	WcSetCondSensitive "" "" "testing *start_button"
	Debug_FnRes do_killTesterFinalize
}
proc do_clear_windows {args} {
	global tester
	text_clear $tester(text,path)
	if {![string compare $tester(text,path) $tester(text,update)] == 0} {
		text_clear $tester(text,update)
	}
	listbox_clear $tester(list,inputs)
	listbox_clear $tester(list,outputs)
	foreach i [list -fg -bg] {
		$tester(label,verdict) configure $i \
		    [lindex [$tester(label,verdict) configure $i] 3]
	}
	label_set $tester(label,verdict) $tester(initval,label,verdict)
	label_set $tester(label,trace) $tester(initval,label,trace)
	label_set $tester(label,menu)  $tester(initval,label,menu)

	update_title
}
proc do_cleanup_procs {args} {
	catch {eval exec [list /bin/sh -c torx-kill ]}
}

proc do_manual {args} {
	global tester
	check_tester_eof do_manual
	if {[info exists tester(fid)]} {
		putsflush $tester(fid) "stop"
	}
	poll_tester_eof do_manual
}

proc do_auto {args} {
	global tester
	check_tester_eof do_auto
	if {[info exists tester(fid)]} {
		handle_step_output "auto [entry_get $tester(entry,autodepth)]"
	}
	poll_tester_eof do_auto
}
proc do_autotrace {args} {
	global tester
#	exp_internal 1
	check_tester_eof do_autotrace
	if {[info exists tester(fid)]} {
		handle_step_output "autotrace [entry_get $tester(entry,autodepth)]"
	}
	poll_tester_eof do_autotrace
}
proc do_input {args} {
	global tester
	check_tester_eof do_input
	if {[info exists tester(fid)]} {
		handle_step_output "input"
	}
	poll_tester_eof do_input
}
proc do_selected_input {args} {
	global tester
	check_tester_eof do_selected_input
	if {[info exists tester(fid)]} {
		set txt [listbox_get_selection $tester(list,inputs)]
		## next line seems to be superflous, so: commented out
		#set txt [join $txt " "]
		handle_step_output "input $txt"
	}
	poll_tester_eof do_selected_input
}
proc do_copy_to_inst_frame {args} {
	# we need the after 0 because the listbox_get_selection
	# routine will only return the correct value after
	# we have done with this callback -- right now it
	# returns the value of the previous selection in
	# the list box
	after 0 "do_do_copy_to_inst_frame $args"
}
proc do_do_copy_to_inst_frame {args} {
	global tester
	check_tester_eof do_copy_to_inst_frame
	if {[info exists tester(fid)]} {
		set txt [listbox_get_selection $tester(list,inputs)]
		## next line seems to be superflous, so: commented out
		#set txt [join $txt " "]
		# puts stderr "do_copy_to_inst_frame: ($txt)"
		entry_set $tester(entry,inst) $txt
	}
	poll_tester_eof do_copy_to_inst_frame
}
proc do_output {args} {
	global tester
	check_tester_eof do_output
	if {[info exists tester(fid)]} {
		handle_step_output "output"
	}
	poll_tester_eof do_output
}
proc do_random {args} {
	global tester
	check_tester_eof do_random
	if {[info exists tester(fid)]} {
		handle_step_output "next"
	}
	poll_tester_eof do_random
}
proc do_follow_trace {args} {
	global tester
#	exp_internal 1
	check_tester_eof do_follow_trace
	if {[info exists tester(fid)]} {
		handle_step_output "next trace"
	}
	poll_tester_eof do_follow_trace
}
proc do_use_instantiated_input {args} {
	global tester
	check_tester_eof do_use_instantiated_input
	if {[info exists tester(fid)]} {
		set txt [entry_get $tester(entry,inst)]
		## next line seems to be superflous, so: commented out
		#set txt [join $txt " "]
		handle_step_output "input $txt"
	}
	poll_tester_eof do_use_instantiated_input
}
proc do_clear {args} {
	global tester
	if {[llength $args] >= 3} {
		set w [lindex $args 0]
		set dummy [lindex $args 1]
		set name [lindex $args 2]
		set target [WcFullNameToWidget . $name]
		text_clear $target
	}
}
proc do_update_path {args} {
	global tester
	if {[llength $args] >= 3} {
		set w [lindex $args 0]
		set dummy [lindex $args 1]
		set srcdest [lindex $args 2]
		set src_name [lindex $srcdest 0]
		set dest_name [lindex $srcdest 1]
		set src [WcFullNameToWidget . $src_name]
		set dest [WcFullNameToWidget . $dest_name]
		if {![string compare $src $dest] == 0} {
			set text [text_get $src]
			text_append $dest $text
			text_clear $src
		}
	}
}
proc do_update_trace {args} {
	global tester
	label_set $tester(label,trace) $tester(var,trace)
}
proc do_build_menu {args} {
	global tester
	check_tester_eof do_build_menu
	if {[info exists tester(fid)]} {
		build_menu menu
	}
	poll_tester_eof do_build_menu
}
proc do_set_toggle_variable {args} {
	if {[llength $args] >= 3} {
		set w [lindex $args 0]
		set dummy [lindex $args 1]
		set value [lindex $args 2]
		toggle_set $w $value
	}
}
proc do_invoke {args} {
	if {[llength $args] >= 3} {
		set w [lindex $args 0]
		set dummy [lindex $args 1]
		set value [lindex $args 2]
		set target [WcFullNameToWidget . $value]
		if {$target != ""} {
			$target invoke
		}
	}
}
proc do_set_cond_if_trace {args} {
	global tester
	if {[llength $args] >= 3} {
		set w [lindex $args 0]
		set dummy [lindex $args 1]
		set value [lindex $args 2]
		if {$tester(var,trace) != ""} {
			WcSetCondSensitive "" "" "tracing $value"
		} else {
			WcSetCondInSensitive "" "" "tracing $value"
		}
	}
}
proc do_open_config {args} {
	global tester
	if {[llength $args] >= 3} {
		set filename [tk_getOpenFile -filetypes $tester(open,types,config) -initialdir $tester(open,initialdir) -title "Open Config File" ]
		do_do_open_config $filename
	}
}
proc do_do_open_config {filename} {
	global tester
	if {$filename != ""} {
		set tester(var,config_file) $filename
		set tester(basename,config_file) [file tail $filename]
		set tester(basenamebare,config_file) [file rootname $tester(basename,config_file)]
		set tester(dirname) [file dirname $filename]
		set tester(open,initialdir) $tester(dirname)
		# entry_set $tester(entry,config_file) $tester(basename,config_file)
			
			
		if {[WcButtonGetSetState $tester(toggle,init_from_config)]} {
			init_gui_from_configfile $filename
		}

		WcSetCondSensitive "" "" "config_present *start_button"

		update_title
	}
}
proc init_gui_from_configfile {configfiles} {
	do_init_logfile_from_configfile   LOGFILE    $configfiles
	do_init_tracefile_from_configfile TRACEFILE  $configfiles
	do_init_seed_from_configfile      SEED       $configfiles
	do_init_primers_from_configfile   PRIMERS    $configfiles
	do_init_primer_from_configfile    PRIMER     $configfiles
	do_init_guides_from_configfile   GUIDES    $configfiles
	do_init_guide_from_configfile    GUIDE     $configfiles
	do_init_mutants_from_configfile   MUTANTS    $configfiles
	do_init_mutant_from_configfile    MUTANT     $configfiles
	do_init_logmon_from_configfile    LOGMON    $configfiles
}
proc do_init_logfile_from_configfile {configkey configfiles} {
	global tester
	set file_line_string [find_flv_in_configfiles $configkey $configfiles]
	if {[llength $file_line_string] > 0} {
		set s [lindex $file_line_string 2]
		if {[string index $s 0] == "|"} {
			do_do_set_save_log $s
		} else {
			do_do_set_save_log [file_mk_absolute $s $tester(dirname)]
		}
	} elseif {[WcButtonGetSetState $tester(toggle,reset_from_config)]} {
		do_do_unset_save_log
	}
}
proc do_init_tracefile_from_configfile {configkey configfiles} {
	global tester
	set file_line_string [find_flv_in_configfiles $configkey $configfiles]
	if {[llength $file_line_string] > 0} {
		set s [lindex $file_line_string 2]
		do_do_open_trace [file_mk_absolute $s $tester(dirname)]
	} elseif {[WcButtonGetSetState $tester(toggle,reset_from_config)]} {
		do_do_close_trace
	}	
}
proc do_init_seed_from_configfile {configkey configfiles} {
	global tester
	set file_line_string [find_flv_in_configfiles $configkey $configfiles]
	if {[llength $file_line_string] > 0} {
		set s [lindex $file_line_string 2]
		entry_set $tester(entry,seed) $s
	} elseif {[WcButtonGetSetState $tester(toggle,reset_from_config)]} {
		entry_set $tester(entry,seed) ""
	}	
}
proc do_init_primers_from_configfile {configkey configfiles} {
	global tester
	set file_line_string [find_flv_in_configfiles $configkey $configfiles]
	if {[llength $file_line_string] > 0} {
		set s [lindex $file_line_string 2]
		do_do_open_primers [file_mk_absolute $s $tester(dirname)]
	} elseif {[WcButtonGetSetState $tester(toggle,reset_from_config)]} {
		do_do_close_primers
	}	
}
proc do_init_primer_from_configfile {configkey configfiles} {
	global tester
	set file_line_string [find_flv_in_configfiles $configkey $configfiles]
	if {[llength $file_line_string] > 0} {
		set s [lindex $file_line_string 2]
		do_do_select_primer $s
	} elseif {[WcButtonGetSetState $tester(toggle,reset_from_config)]} {
		do_do_select_primer none
	}	
}
proc do_init_guides_from_configfile {configkey configfiles} {
	global tester
	set file_line_string [find_flv_in_configfiles $configkey $configfiles]
	if {[llength $file_line_string] > 0} {
		set s [lindex $file_line_string 2]
		do_do_open_guides [file_mk_absolute $s $tester(dirname)]
	} elseif {[WcButtonGetSetState $tester(toggle,reset_from_config)]} {
		do_do_close_guides
	}	
}
proc do_init_guide_from_configfile {configkey configfiles} {
	global tester
	set file_line_string [find_flv_in_configfiles $configkey $configfiles]
	if {[llength $file_line_string] > 0} {
		set s [lindex $file_line_string 2]
		do_do_select_guide $s
	} elseif {[WcButtonGetSetState $tester(toggle,reset_from_config)]} {
		do_do_select_guide none
	}	
}
proc do_init_mutants_from_configfile {configkey configfiles} {
	global tester
	set file_line_string [find_flv_in_configfiles $configkey $configfiles]
	if {[llength $file_line_string] > 0} {
		set s [lindex $file_line_string 2]
		do_do_open_mutants [file_mk_absolute $s $tester(dirname)]
	} elseif {[WcButtonGetSetState $tester(toggle,reset_from_config)]} {
		do_do_close_mutants
	}	
}
proc do_init_mutant_from_configfile {configkey configfiles} {
	global tester
	set file_line_string [find_flv_in_configfiles $configkey $configfiles]
	if {[llength $file_line_string] > 0} {
		set s [lindex $file_line_string 2]
		do_do_select_mutant $s
	} elseif {[WcButtonGetSetState $tester(toggle,reset_from_config)]} {
		do_do_select_mutant none
	}	
}
proc do_init_logmon_from_configfile {configkey configfiles} {
	global tester
	set file_line_string_list [find_flv_list_in_configfiles $configkey $configfiles]
	# puts stderr "do_init_logmon_from_configfile: ($configkey) ($configfiles) : $file_line_string_list"
	# puts stderr "tester(tools,nrof)=$tester(tools,nrof)"
	catch {unset saved}
	set i 0
	while {$i < $tester(tools,nrof)} {
		set saved($tester(tools,$i,name)+$tester(tools,$i,command)) $tester(tools,$i,start)
		# puts stderr "saving: label=$tester(tools,$i,name) start=$tester(tools,$i,start)"
		catch {unset tester(tools,$i,command)}
		catch {unset tester(tools,$i,start)}
		incr i
	}
	$tester(menu,tools) delete 0 end
	set tester(tools,nrof) 0
	foreach flv $file_line_string_list {
		set v [lindex $flv 2]
		# deal with optional '# xtorx Tools menu entry' in v
		# (from LOGMON entry) :
		#        command with args # xtorx Tools menu entry
		set ix [lsearch -exact $v #]
		# puts stderr "$ix : $v"
		if {$ix >= 0} {
			set name [join [lrange $v [expr $ix + 1] end] " "]
			set command [join [lrange $v 0 [expr $ix - 1]] " "]
		} else {
			set name [file tail $v]
			set command $v
		}
		set tester(tools,$tester(tools,nrof),name) $name
		set tester(tools,$tester(tools,nrof),command) $command
		if {[info exists saved($name+$command)]} {
			set start $saved($name+$command)
		} else {
			set start 1
		}
		set var [subst tester(tools,$tester(tools,nrof),start)]
		set $var $start
		# puts stderr "label=$name var=$var start=[set start] "
		$tester(menu,tools) add checkbutton \
			-label $name \
			-variable $var
		incr tester(tools,nrof)
	}
	if {$tester(tools,nrof) > 0} {
		WcSetCondSensitive   "" "" "tools_present *tools_mb,*tools"
	} else {
		WcSetCondInSensitive   "" "" "tools_present *tools_mb,*tools"
	}
	# puts stderr "do_init_logmon_from_configfile done"
}

proc do_open_trace {args} {
	global tester
	if {[llength $args] >= 3} {
		set filename [tk_getOpenFile -filetypes $tester(open,types,trace) -initialdir $tester(open,initialdir) -title "Open Trace File" ]
		do_do_open_trace $filename
		if {$filename != ""} {
			set tester(dirname) [file dirname $filename]
			set tester(open,initialdir) $tester(dirname)
			update_title
		}
	}
}
proc do_do_open_trace {filename} {
	global tester
	if {$filename != ""} {
		set tester(var,trace_file) $filename
		set tester(basename,trace_file) [file tail $filename]
		set tester(basenamebare,trace_file) [file rootname $tester(basename,trace_file)]
		WcSetCondSensitive "" "" "trace_present *close_trace_button"
	}
}
proc do_close_trace {args} {
	global tester
	if {[llength $args] >= 3} {
		do_do_close_trace
		update_title
	}
}
proc do_do_close_trace {args} {
	global tester
	set tester(var,trace_file) ""
	set tester(basename,trace_file) ""
	set tester(basenamebare,trace_file) ""
	WcSetCondInSensitive "" "" "trace_present *close_trace_button"
}
proc do_save_msgs {args} {
	global tester
	if {[llength $args] >= 3} {
		set filename [tk_getSaveFile -filetypes $tester(savemsg,types) -initialdir $tester(open,initialdir) -defaultextension $tester(savemsg,defextension) -initialfile "msg-$tester(runs,all).txt" -title "Save Messages As"]
		if {$filename != ""} {
			if {[catch {open $filename w} fileId]} {
				Error "Cannot open msgfile $filename: $fileId\n"
			} else {
				set txt [text_get $tester(text,msg)]
				puts -nonewline $fileId $txt
				close $fileId
			}
		}
	}
}
proc do_save_path {args} {
	global tester
	if {[llength $args] >= 3} {
		set filename [tk_getSaveFile -filetypes $tester(savepath,types) -initialdir $tester(open,initialdir) -defaultextension $tester(savepath,defextension) -initialfile "path-$tester(runs,all).txt" -title "Save Path As"]
		if {$filename != ""} {
			if {[catch {open $filename w} fileId]} {
				Error "Cannot open msgfile $filename: $fileId\n"
			} else {
				set txt [text_get $tester(text,path)]
				puts -nonewline $fileId $txt
				close $fileId
			}
		}
	}
}
proc do_set_save_log {args} {
	global tester
	if {[llength $args] >= 3} {
		set filename [tk_getSaveFile -filetypes $tester(savelog,types) -initialdir $tester(open,initialdir) -defaultextension $tester(savelog,defextension) -initialfile "log-$tester(runs,all).log" -title "Set Logfile Name"]
		do_do_set_save_log $filename
		if {$filename != ""} {
			update_title
		}
	}
}
proc do_do_set_save_log {filename} {
	global tester
	if {$filename != ""} {
		set tester(var,log_file) $filename
		set tester(basename,log_file) [file tail $filename]
		set tester(basenamebare,log_file) [file rootname $tester(basename,log_file)]
		WcSetCondSensitive "" "" "log_present *close_log_button"
	}
}
proc do_unset_save_log {args} {
	global tester
	if {[llength $args] >= 3} {
		do_do_unset_save_log
		update_title
	}
}
proc do_do_unset_save_log {} {
	global tester
	set tester(var,log_file) ""
	set tester(basename,log_file) ""
	set tester(basenamebare,log_file) ""
	WcSetCondInSensitive "" "" "log_present *close_log_button"
}

proc do_update_preferences {args} {
	global tester
	WcOpaquePaneResize [WcButtonGetSetState $tester(toggle,opaquepaneresize)]
	set tester(msc,startit) [WcButtonGetSetState $tester(toggle,startmsc)]
	if {[WcButtonGetSetState $tester(toggle,reusemsc)]} {
		set tester(msc,flags) "-r"
	} else {
		set tester(msc,flags) ""
	}
	if {[WcButtonGetSetState $tester(toggle,demomode)]} {
		fontDemo
	} else {
		fontNormal
	}
	if {[WcButtonGetSetState $tester(toggle,visibility_trace_frame)]} {
		WcShow "" "" *autotrace_toggle
		WcShow "" "" *trace_frame_update_buttons
	} else {
		WcHide "" "" *autotrace_toggle
		WcHide "" "" *trace_frame_update_buttons
	}
	if {[WcButtonGetSetState $tester(toggle,visibility_inst_frame)]} {
		WcShow "" "" *inst_frame
	} else {
		WcHide "" "" *inst_frame
	}
	if {[WcButtonGetSetState $tester(toggle,visibility_msg_buttons)]} {
		WcShow "" "" *msg_buttons
	} else {
		WcHide "" "" *msg_buttons
	}
	if {[WcButtonGetSetState $tester(toggle,visibility_update_buttons)]} {
		WcShow "" "" *update_buttons
	} else {
		WcHide "" "" *update_buttons
	}
}

proc do_show_spec {name role} {
	global tester
	# Message "do_show_spec $name $role\n"
	if {[catch { WcSystem "" "" [list /bin/sh -c "exec 2>&1 ; exec $tester(specs,showcmd) $name" &] "" } m]} {
		Message "$m\n"
	}
}
proc do_show_spec_thing {thing} {
	global tester
	if {[info exists tester(specs,$thing)]} {
		if {![string compare $tester(specs,$thing) ""] == 0} {
			do_show_spec $tester(specs,$thing) $thing
		}
	}
}
proc do_show_spec_primer {args} {
	do_show_spec_thing primers
}
proc do_show_spec_guide {args} {
	do_show_spec_thing guides
}
proc do_show_spec_mutant {args} {
	do_show_spec_thing mutants
}


# =========================================================================
