#
# trojka.pm - mkprimer module for the Trojka PROMELA primer
# will be ``required'' by the mkprimer program
#
# $Id: trojka.pm,v 1.5.2.1 2003/03/26 13:10:25 belinfan Exp $
# <Axel.Belinfante@cs.utwente.nl>, 1999
#
#
# ======================================
package trojka;

%suffix = (
			".trojka"   =>   "PROMELA",
	     );

%lang = (
	"PROMELA" =>
	 sub  {
		my($specfile, $target, $prefix, $libdir,
		   $specpath, $specname, $specsuffix, $exesuffix) = @_;
		my($error, $cmd);
		my(@cmds) = (
			"utmake $specfile",
			"mv utrojka$exesuffix $target$exesuffix",
		          );
		::Exec(@cmds);
	},
);

::Register(\%lang, \%suffix);

1;
