#! @PERL@

# usage: log2mctrl [ files ]

$debug = 0;

$| = 1; # do not buffer!

# ======================================

initialize();

loop:
while(<>) {
	chomp;
	/^ABSTRACT/ && do handle_action($_ , 0);
	/^EXPECTED/ && do incr_last($_ , 0);
	/^EOF/ && do incr_last($_ , 0);
}

finalize();

sub initialize {
	$last = 0;
	print STDOUT $last."\n";
}

sub finalize {
}


sub handle_config {}

sub handle_action {
	my($line, $expected) = @_;
	print STDERR "line: ($line) " if $debug;
	my(@words) = split(/ /, $line);
	my($ignore, $stepnr, $iokind_chan_pco, $suspension, $action,
	   $iokind,$chan_pco_opt, $chan_pco, $chan, $pco, $inst);
	$ignore = shift(@words); # shift out ABSTRACT
	$stepnr = shift(@words);
	if ($stepnr > $last) {
		$last = $stepnr;
	}

	print STDOUT $stepnr."\n";
}

sub incr_last {
	my($line, $expected) = @_;
	$last++;

	print STDOUT $last."\n";
}

